/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import java.util.Objects;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.IOException;

/**
 * Credit card linked to the policy.
 */
@ApiModel(description = "Credit card linked to the policy.")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class CreditCard {
  @SerializedName("expedition_country")
  private String expeditionCountry = null;

  @SerializedName("issuer_name")
  private String issuerName = null;

  @SerializedName("first_10_digits")
  private String first10Digits = null;

  public CreditCard expeditionCountry(String expeditionCountry) {
    this.expeditionCountry = expeditionCountry;
    return this;
  }

   /**
   * Country where the card has been expedited from. Country ISO-3166-1 alpha-2 format (2 letter codes)
   * @return expeditionCountry
  **/
  @ApiModelProperty(value = "Country where the card has been expedited from. Country ISO-3166-1 alpha-2 format (2 letter codes)")
  public String getExpeditionCountry() {
    return expeditionCountry;
  }

  public void setExpeditionCountry(String expeditionCountry) {
    this.expeditionCountry = expeditionCountry;
  }

  public CreditCard issuerName(String issuerName) {
    this.issuerName = issuerName;
    return this;
  }

   /**
   * BIN issuer name (bank name).
   * @return issuerName
  **/
  @ApiModelProperty(value = "BIN issuer name (bank name).")
  public String getIssuerName() {
    return issuerName;
  }

  public void setIssuerName(String issuerName) {
    this.issuerName = issuerName;
  }

  public CreditCard first10Digits(String first10Digits) {
    this.first10Digits = first10Digits;
    return this;
  }

   /**
   * First 10 digits of the credit card.
   * @return first10Digits
  **/
  @ApiModelProperty(required = true, value = "First 10 digits of the credit card.")
  public String getFirst10Digits() {
    return first10Digits;
  }

  public void setFirst10Digits(String first10Digits) {
    this.first10Digits = first10Digits;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    CreditCard creditCard = (CreditCard) o;
    return Objects.equals(this.expeditionCountry, creditCard.expeditionCountry) &&
        Objects.equals(this.issuerName, creditCard.issuerName) &&
        Objects.equals(this.first10Digits, creditCard.first10Digits);
  }

  @Override
  public int hashCode() {
    return Objects.hash(expeditionCountry, issuerName, first10Digits);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class CreditCard {\n");
    
    sb.append("    expeditionCountry: ").append(toIndentedString(expeditionCountry)).append("\n");
    sb.append("    issuerName: ").append(toIndentedString(issuerName)).append("\n");
    sb.append("    first10Digits: ").append(toIndentedString(first10Digits)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

